## pd-osc 0.1

=== Makefile ===
## Pd library template version 1.0.9
# For instructions on how to use this template, see:
#  http://puredata.info/docs/developer/MakefileTemplate
#

# the name of this library
# must not contain any spaces or weird characters (as it's used for
# filenames,...)
LIBRARY_NAME = OSC

# add your .c source files, one object per file, to the SOURCES
# variable, help files will be included automatically, and for GUI
# objects, the matching .tcl file too
SOURCES = packOSC.c  pipelist.c  routeOSC.c  unpackOSC.c

# list all pd objects (i.e. myobject.pd) files here, and their helpfiles will
# be included automatically
PDOBJECTS = packOSCstream.pd unpackOSCstream.pd

# example patches and related files, in the 'examples' subfolder
EXAMPLES = 

# manuals and related files, in the 'manual' subfolder
MANUAL = 

# if you want to include any other files in the source and binary tarballs,
# list them here.  This can be anything from header files, test patches,
# documentation, etc.  README.txt and LICENSE.txt are required and therefore
# automatically included
EXTRA_DIST = packingOSC.h


HELPPATCHES = \
	packOSC-help.pd \
	packOSCstream-help.pd \
	pipelist-help.pd routeOSC-help.pd \
	unpackOSCstream-help.pd

#------------------------------------------------------------------------------#
#
# things you might need to edit if you are using other C libraries
#
#------------------------------------------------------------------------------#

# -I"$(PD_INCLUDE)" supports the header location for 0.43
ALL_CFLAGS = -I"$(PD_INCLUDE)"
ALL_LDFLAGS =  
ALL_LIBS = 

#------------------------------------------------------------------------------#
#
# you shouldn't need to edit anything below here, if we did it right :)
#
#------------------------------------------------------------------------------#

# these can be set from outside without (usually) breaking the build
CFLAGS = -Wall -W -g
LDFLAGS=
LIBS=

# get library version from meta file
LIBRARY_VERSION = $(shell sed -n 's|^\#X text [0-9][0-9]* [0-9][0-9]* VERSION \(.*\);|\1|p' $(LIBRARY_NAME)-meta.pd)

ALL_CFLAGS += -DPD -DVERSION='"$(LIBRARY_VERSION)"'

PD_INCLUDE = $(PD_PATH)/include/pd
# where to install the library, overridden below depending on platform
prefix = /usr/local
libdir = $(prefix)/lib
pkglibdir = $(libdir)/pd-externals
objectsdir = $(pkglibdir)

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -m 644
INSTALL_DATA = $(INSTALL) -p -m 644
INSTALL_DIR     = $(INSTALL) -p -m 755 -d

ALLSOURCES := $(SOURCES) $(SOURCES_android) $(SOURCES_cygwin) $(SOURCES_macosx) \
	         $(SOURCES_iphoneos) $(SOURCES_linux) $(SOURCES_windows)

DISTDIR=$(LIBRARY_NAME)-$(LIBRARY_VERSION)
ORIGDIR=pd-$(LIBRARY_NAME:~=)_$(LIBRARY_VERSION)

UNAME := $(shell uname -s)
ifeq ($(UNAME),Darwin)
  CPU := $(shell uname -p)
  ifeq ($(CPU),arm) # iPhone/iPod Touch
    SOURCES += $(SOURCES_iphoneos)
    EXTENSION = pd_darwin
    OS = iphoneos
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    IPHONE_BASE=/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin
    CC=$(IPHONE_BASE)/gcc
    CPP=$(IPHONE_BASE)/cpp
    CXX=$(IPHONE_BASE)/g++
    ISYSROOT = -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS3.0.sdk
    IPHONE_CFLAGS = -miphoneos-version-min=3.0 $(ISYSROOT) -arch armv6
    OPT_CFLAGS = -fast -funroll-loops -fomit-frame-pointer
    ALL_CFLAGS := $(IPHONE_CFLAGS) $(ALL_CFLAGS)
    ALL_LDFLAGS += -arch armv6 -bundle -undefined dynamic_lookup $(ISYSROOT)
    ALL_LIBS += -lc 
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
  else # Mac OS X
    SOURCES += $(SOURCES_macosx)
    EXTENSION = pd_darwin
    OS = macosx
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    OPT_CFLAGS = -ftree-vectorize -ftree-vectorizer-verbose=2 -fast
# build universal 32-bit on 10.4 and 32/64 on newer
    ifeq ($(shell uname -r | sed 's|\([0-9][0-9]*\)\.[0-9][0-9]*\.[0-9][0-9]*|\1|'), 8)
      FAT_FLAGS = -arch ppc -arch i386 -mmacosx-version-min=10.4
    else
      FAT_FLAGS = -arch ppc -arch i386 -arch x86_64 -mmacosx-version-min=10.4
      SOURCES += $(SOURCES_iphoneos)
    endif
    ALL_CFLAGS += $(FAT_FLAGS) -fPIC -I/sw/include
    ALL_LDFLAGS += $(FAT_FLAGS) -bundle -undefined dynamic_lookup -L/sw/lib
    # if the 'pd' binary exists, check the linking against it to aid with stripping
    ALL_LDFLAGS += $(shell test -e $(PD_PATH)/bin/pd && echo -bundle_loader $(PD_PATH)/bin/pd)
    ALL_LIBS += -lc 
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
# install into ~/Library/Pd on Mac OS X since /usr/local isn't used much
    pkglibdir=$(HOME)/Library/Pd
  endif
endif
# Tho Android uses Linux, we use this fake uname to provide an easy way to
# setup all this things needed to cross-compile for Android using the NDK
ifeq ($(UNAME),ANDROID)
  CPU := arm
  SOURCES += $(SOURCES_android)
  EXTENSION = pd_linux
  OS = android
  PD_PATH = /usr
  NDK_BASE := /usr/local/android-ndk
  NDK_PLATFORM_VERSION := 5
  NDK_SYSROOT=$(NDK_BASE)/platforms/android-$(NDK_PLATFORM_VERSION)/arch-arm
  NDK_UNAME := $(shell uname -s | tr '[A-Z]' '[a-z]')
  NDK_TOOLCHAIN_BASE=$(NDK_BASE)/toolchains/arm-linux-androideabi-4.4.3/prebuilt/$(NDK_UNAME)-x86
  CC := $(NDK_TOOLCHAIN_BASE)/bin/arm-linux-androideabi-gcc --sysroot=$(NDK_SYSROOT)
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  CFLAGS += 
  LDFLAGS += -Wl,--export-dynamic -shared
  LIBS += -lc
  STRIP := $(NDK_TOOLCHAIN_BASE)/bin/arm-linux-androideabi-strip \
	--strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),Linux)
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -Wl,--export-dynamic  -shared -fPIC
  ALL_LIBS += -lc
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU)
  # GNU/Hurd, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -Wl,--export-dynamic  -shared -fPIC
  ALL_LIBS += -lc
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU/kFreeBSD)
  # Debian GNU/kFreeBSD, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -Wl,--export-dynamic  -shared -fPIC
  ALL_LIBS += -lc
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq (CYGWIN,$(findstring CYGWIN,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_cygwin)
  EXTENSION = dll
  OS = cygwin
  PD_PATH = $(cygpath $(PROGRAMFILES))/pd
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += 
  ALL_LDFLAGS += -Wl,--export-dynamic -shared -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin"
  ALL_LIBS += -lc -lpd
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif
ifeq (MINGW,$(findstring MINGW,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_windows)
  EXTENSION = dll
  OS = windows
  PD_PATH = $(shell cd "$(PROGRAMFILES)"/pd && pwd)
  OPT_CFLAGS = -O3 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -mms-bitfields
  ALL_LDFLAGS += -s -shared -Wl,--enable-auto-import
  ALL_LIBS += -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin" -L"$(PD_PATH)/obj" -lpd -lwsock32 -lkernel32 -luser32 -lgdi32
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif

# in case somebody manually set the HELPPATCHES above
HELPPATCHES ?= $(SOURCES:.c=-help.pd) $(PDOBJECTS:.pd=-help.pd)

CFLAGS += $(OPT_CFLAGS)

ALL_CFLAGS := $(ALL_CFLAGS) $(CFLAGS)
ALL_LDFLAGS := $(LDFLAGS) $(ALL_LDFLAGS)
ALL_LIBS := $(LIBS) $(ALL_LIBS)

.PHONY = install libdir_install single_install install-doc install-exec install-examples install-manual clean dist etags $(LIBRARY_NAME)

all: $(SOURCES:.c=.$(EXTENSION))

%.o: %.c
	$(CC) $(ALL_CFLAGS) -o "$*.o" -c "$*.c"

%.$(EXTENSION): %.o
	$(CC) $(ALL_LDFLAGS) -o "$*.$(EXTENSION)" "$*.o"  $(ALL_LIBS)
	chmod a-x "$*.$(EXTENSION)"

# this links everything into a single binary file
$(LIBRARY_NAME): $(SOURCES:.c=.o) $(LIBRARY_NAME).o
	$(CC) $(ALL_LDFLAGS) -o $(LIBRARY_NAME).$(EXTENSION) $(SOURCES:.c=.o) $(LIBRARY_NAME).o $(ALL_LIBS)
	chmod a-x $(LIBRARY_NAME).$(EXTENSION)

install: libdir_install

# The meta and help files are explicitly installed to make sure they are
# actually there.  Those files are not optional, then need to be there.
libdir_install: $(SOURCES:.c=.$(EXTENSION)) install-doc install-examples install-manual
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd \
		$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SOURCES))" || (\
		$(INSTALL_PROGRAM) $(SOURCES:.c=.$(EXTENSION)) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME) && \
		$(STRIP) $(addprefix $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/,$(SOURCES:.c=.$(EXTENSION))))
	test -z "$(strip $(shell ls $(SOURCES:.c=.tcl)))" || \
		$(INSTALL_DATA) $(shell ls $(SOURCES:.c=.tcl)) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(PDOBJECTS))" || \
		$(INSTALL_DATA) $(PDOBJECTS) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)

# install library linked as single binary
single_install: $(LIBRARY_NAME) install-doc install-exec
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_PROGRAM) $(LIBRARY_NAME).$(EXTENSION) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(STRIP) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/$(LIBRARY_NAME).$(EXTENSION)

install-doc:
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SOURCES) $(PDOBJECTS))" || \
		$(INSTALL_DATA) $(HELPPATCHES) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) README.txt $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/README.txt
	$(INSTALL_DATA) LICENSE.txt $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/LICENSE.txt

install-examples:
	test -z "$(strip $(EXAMPLES))" || \
		$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/examples && \
		for file in $(EXAMPLES); do \
			$(INSTALL_DATA) examples/$$file $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/examples; \
		done

install-manual:
	test -z "$(strip $(MANUAL))" || \
		$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/manual && \
		for file in $(MANUAL); do \
			$(INSTALL_DATA) manual/$$file $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/manual; \
		done


clean:
	-rm -f -- $(SOURCES:.c=.o) $(SOURCES_LIB:.c=.o)
	-rm -f -- $(SOURCES:.c=.$(EXTENSION))
	-rm -f -- $(LIBRARY_NAME).o
	-rm -f -- $(LIBRARY_NAME).$(EXTENSION)

distclean: clean
	-rm -f -- $(DISTBINDIR).tar.gz
	-rm -rf -- $(DISTBINDIR)
	-rm -f -- $(DISTDIR).tar.gz
	-rm -rf -- $(DISTDIR)
	-rm -f -- $(ORIGDIR).tar.gz
	-rm -rf -- $(ORIGDIR)


$(DISTBINDIR):
	$(INSTALL_DIR) $(DISTBINDIR)

libdir: all $(DISTBINDIR)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd  $(DISTBINDIR)
	$(INSTALL_DATA) $(SOURCES)  $(DISTBINDIR)
	$(INSTALL_DATA) $(HELPPATCHES) $(DISTBINDIR)
	test -z "$(strip $(EXTRA_DIST))" || \
		$(INSTALL_DATA) $(EXTRA_DIST)    $(DISTBINDIR)
#	tar --exclude-vcs -czpf $(DISTBINDIR).tar.gz $(DISTBINDIR)

$(DISTDIR):
	$(INSTALL_DIR) $(DISTDIR)

$(ORIGDIR):
	$(INSTALL_DIR) $(ORIGDIR)

dist: $(DISTDIR)
	$(INSTALL_DATA) Makefile  $(DISTDIR)
	$(INSTALL_DATA) README.txt $(DISTDIR)
	$(INSTALL_DATA) LICENSE.txt $(DISTDIR)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd  $(DISTDIR)
	test -z "$(strip $(ALLSOURCES))" || \
		$(INSTALL_DATA) $(ALLSOURCES)  $(DISTDIR)
	test -z "$(strip $(shell ls $(ALLSOURCES:.c=.tcl)))" || \
		$(INSTALL_DATA) $(shell ls $(ALLSOURCES:.c=.tcl))  $(DISTDIR)
	test -z "$(strip $(PDOBJECTS))" || \
		$(INSTALL_DATA) $(PDOBJECTS)  $(DISTDIR)

=== debian/changelog ===
pd-osc (0.1-2) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * Don't install unusable *packOSCstream patches.
    Closes: #661805. Thanks to Roman Haefeli.
  * Don't mention [*packOSCstream] in help-patches.
  * Update copyright to use format 1.0.
  * Update package relations:
    + Depend on puredata-core rather than puredata.
    + Relax to build-depend unversioned on debhelper and devscripts:
      Needed versions satisfied even in oldstable.

  [ Jonas Smedegaard ]
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org in Vcs-Browser field.
  * Update copyright to tidy and shorten license comments.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 14 Jun 2012 23:07:47 +0200

pd-osc (0.1-1) unstable; urgency=low

  [ IOhannes m zmoelnig ]
  * Initial packaging release.
    Closes: bug#603175.

  [ Jonas Smedegaard ]
  * Add myself as uploader.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Aug 2011 20:47:20 +0200

=== debian/control ===
Source: pd-osc
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: debhelper,
 dh-buildinfo,
 cdbs (>= 0.4.91~),
 devscripts,
 puredata-dev | puredata
Standards-Version: 3.9.3
Section: sound
Homepage: http://download.puredata.info/osc
Vcs-Git: git://git.debian.org/git/pkg-multimedia/pd-osc
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/pd-osc.git

Package: pd-osc
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 puredata-core | pd
Recommends: pd-iemnet
Suggests: pd-comport
Description: Open Sound Control for Pd
 This library allows one to construct and parse OSC messages within Pd.  It
 includes support for ordinary OSC-messages, typetags, timetags and bundles.
 .
 These objects are transport-agnostic, so you can use them to transmit OSC over
 UDP, TCP/IP, serial port, or in fact whatever you want.  However, you will have
 to install additional libraries that will handle the transport layer (like
 pd-iemnet or pd-comport).

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011 IOhannes m zmölnig <zmoelnig@iem.at>
# Description: Main Debian packaging script for pd-osc
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/class/pd.mk
include /usr/share/cdbs/1/rules/utils.mk

=== debian/watch ===
# to be processed with uscan(1)
version=3
http://sf.net/pure-data/OSC-(.*)\.tar\.gz

## pd-osc 0.2

=== debian/changelog ===
pd-osc (0.2-1) unstable; urgency=medium

  * Imported Upstream version 0.2 (Closes: #768295)

  [ IOhannes m zmölnig ]
  * Refreshed debian/patches
  * Applied hardening-CPPFLAGS
  * Upstream-name has changed to "osc" (lower case)
    + Install 'osc-meta.pd'
  * Canonical Vcs-* stanzas
  * Fixed upstream-contact
  * Extended copyright-dates to 2014
  * Regenerated debian/(control,copyright_hints)
  * Use puredata.info for debian/watch
  * Updated my uploader name
  * Bumped standards to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Nov 2014 21:22:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: pd-osc
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>,
+Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Jonas Smedegaard <dr@jones.dk>
-Build-Depends: debhelper,
+Build-Depends: cdbs (>= 0.4.91~),
+ debhelper,
  dh-buildinfo,
- cdbs (>= 0.4.91~),
  devscripts,
  puredata-dev | puredata
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Section: sound
 Homepage: http://download.puredata.info/osc
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/pd-osc
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/pd-osc.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/pd-osc.git
 
 Package: pd-osc

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,4 @@
 include /usr/share/cdbs/1/class/pd.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
+CFLAGS+=$(CPPFLAGS)

=== debian/watch ===
# to be processed with uscan(1)
version=3
http://puredata.info/downloads/osc/releases/(\d\.\d)/osc-(.+)\.tar\.gz

## pd-osc 0.3

=== Makefile ===
# Makefile for osc

lib.name = osc

class.sources = \
        packOSC.c \
        pipelist.c \
        routeOSC.c \
        unpackOSC.c

datafiles = \
        LICENSE.txt \
        README.md \
        osc-meta.pd \
        packOSC-help.pd \
        packOSCstream-help.pd \
        packOSCstream.pd \
        pipelist-help.pd \
        routeOSC-help.pd \
        unpackOSC-help.pd \
        unpackOSCstream-help.pd \
        unpackOSCstream.pd

define forWindows
  ldlibs = -lwsock32
endef

# This Makefile is based on the Makefile from pd-lib-builder written by
# Katja Vetter. You can get it from:
# https://github.com/pure-data/pd-lib-builder

PDLIBBUILDER_DIR=pd-lib-builder/
include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder))

=== debian/changelog ===
pd-osc (1:0.3-2) unstable; urgency=medium

  * Team Upload
  * Drop dh-buildinfo dummy dependency
  * Bumped standards version to 4.7.2.
  * Drop "Rules-Require-Root: no": it is the default now

  [ IOhannes m zmölnig ]
  * Update git repository layout to follow DEP-14

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Oct 2025 17:04:14 +0200

pd-osc (1:0.3-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 0.3
    + Upstream has finally decided on splitting 'pd-osc' from the 'pd-mrpeach'
      project for good.
      For the Debian project we therefore (re)introduce the pd-osc source
      package (inheriting the epoch)
    + Drop obsolete patches
  * Switch to pd-lib-builder buildsystem
  * Add autopkgtests
  * Add lintian-override for the epoch
  * Set default deban branch to 'debian/latest
  * Update d/watch to use github
  * Remove obsolete file d/source/local-options
  * Declare that building this package does not require 'root' powers.
  * Apply 'wrap-and-sort -ast'
  * Update copyright information
    + Update d/copyright for pd-lib-builder
    + Re-generate d/copyright_hints
  * Add salsa-ci configuration
  * Drop Jonas Smedegard from uploaders
  * Bump debhelper compat to 13
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 20 Nov 2024 17:39:01 +0100

pd-osc (0.2-2) unstable; urgency=medium

  * Switched buildsystem from dh to cdbs
    * Enabled hardening
    * Bumped dh compat to 11
  * Recommend pd-net
  * Suggest pd-slip
  * Depend on 'puredata' rather than 'puredata-core'
  * Updated maintainer address
  * Updated Vcs-* stanzas to salsa.d.o
  * Removed trailing whitespace in debian/*
  * Switched URLs to https://
  * Updated d/copyright_hints
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:26:05 +0100

=== debian/control ===
Source: pd-osc
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-puredata,
Standards-Version: 4.7.2
Section: sound
Homepage: https://download.puredata.info/osc
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-osc.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-osc

Package: pd-osc
Architecture: any
Depends:
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 pd-iemnet | pd-net,
 ${puredata:Recommends},
Suggests:
 pd-comport,
 pd-slip,
 ${puredata:Suggests},
Enhances:
 pd-comport,
 pd-net,
Provides:
 ${puredata:Provides},
Description: Open Sound Control for Pd
 This library allows one to construct and parse OSC messages within Pd.  It
 includes support for ordinary OSC-messages, typetags, timetags and bundles.
 .
 These objects are transport-agnostic, so you can use them to transmit OSC over
 UDP, TCP/IP, serial port, or in fact whatever you want.  However, you will have
 to install additional libraries that will handle the transport layer (like
 pd-net or pd-comport).
 .
 Note however, that OSC is a packet-based protocol, so if you intend to use it
 with a stream-based transport (like TCP/IP or the serial line), you must use
 a packetizer (the OSC-specifications suggest to use SLIP, as provided by
 pd-slip).

=== debian/tests/control ===
Test-Command: find debian/tests -name "*.pd" -exec debian/tests/runtests.sh {} "+"
Depends:
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
# process this file with uscan(1)
version=4
opts=dversionmangle=auto,\
     uversionmangle=s/([a-z]+[0-9.]*$)/~$1/,\
     filenamemangle=s/.+\/v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
  https://github.com/pd-externals/osc/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## pd-osc 0.3.1

=== Makefile ===
--- 
+++ 
@@ -3,10 +3,18 @@
 lib.name = osc
 
 class.sources = \
-        packOSC.c \
         pipelist.c \
         routeOSC.c \
-        unpackOSC.c
+        $(empty)
+
+packOSC.class.sources = \
+        packOSC.c \
+        OSC_timeTag.c \
+        $(empty)
+unpackOSC.class.sources = \
+        unpackOSC.c \
+        OSC_timeTag.c \
+        $(empty)
 
 datafiles = \
         LICENSE.txt \

=== debian/changelog ===
pd-osc (1:0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1
  * Drop obsolete 'Priority: optional' stanza.
  * Drop obsolete Rules-Requires-Root stanza.
  * Re-generate d/copyright_hints
  * Bump d/watch to version 5
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Mar 2026 09:28:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: pd-osc
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-puredata,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Section: sound
 Homepage: https://download.puredata.info/osc
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-osc.git

=== debian/watch ===
Version: 5

Template: GitHub
Owner: pd-externals
Project: osc
Uversionmangle: s/[-_]/\./g
